org.apache.lucene.store

## Class MockIndexInputWrapper

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.store.IndexInput
    - - org.apache.lucene.store.MockIndexInputWrapper

All Implemented Interfaces:
  Closeable, AutoCloseable, Cloneable

    public class MockIndexInputWrapper
    extends IndexInput

Used by MockDirectoryWrapper to create an input stream that keeps track of when it's been closed.

### Constructor Summary

Constructors
Constructor and Description
`MockIndexInputWrapper(MockDirectoryWrapper dir, String name, IndexInput delegate, MockIndexInputWrapper parent)` Sole constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`MockIndexInputWrapper` `clone()`
`void` `close()`
`long` `getFilePointer()`
`long` `length()`
`byte` `readByte()`
`void` `readBytes(byte[] b, int offset, int len)`
`void` `readBytes(byte[] b, int offset, int len, boolean useBuffer)`
`int` `readInt()`
`long` `readLong()`
`Map<String,String>` `readMapOfStrings()`
`Set<String>` `readSetOfStrings()`
`short` `readShort()`
`String` `readString()`
`int` `readVInt()`
`long` `readVLong()`
`int` `readZInt()`
`long` `readZLong()`
`void` `seek(long pos)`
`void` `skipBytes(long numBytes)`
`IndexInput` `slice(String sliceDescription, long offset, long length)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.store.IndexInput

`getFullSliceDescription, randomAccessSlice`

### Methods inherited from class org.apache.lucene.store.DataInput

`readLELongs`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockIndexInputWrapper

    public MockIndexInputWrapper(MockDirectoryWrapper dir,
                                 String name,
                                 IndexInput delegate,
                                 MockIndexInputWrapper parent)

Sole constructor

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `IndexInput`
Throws:
  `IOException`

#### clone

    public MockIndexInputWrapper clone()

Overrides:
  `clone` in class `IndexInput`

#### slice

    public IndexInput slice(String sliceDescription,
                            long offset,
                            long length)
                     throws IOException

Specified by:
  `slice` in class `IndexInput`
Throws:
  `IOException`

#### getFilePointer

    public long getFilePointer()

Specified by:
  `getFilePointer` in class `IndexInput`

#### seek

    public void seek(long pos)
              throws IOException

Specified by:
  `seek` in class `IndexInput`
Throws:
  `IOException`

#### length

    public long length()

Specified by:
  `length` in class `IndexInput`

#### readByte

    public byte readByte()
                  throws IOException

Specified by:
  `readByte` in class `DataInput`
Throws:
  `IOException`

#### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws IOException

Specified by:
  `readBytes` in class `DataInput`
Throws:
  `IOException`

#### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len,
                          boolean useBuffer)
                   throws IOException

Overrides:
  `readBytes` in class `DataInput`
Throws:
  `IOException`

#### readShort

    public short readShort()
                    throws IOException

Overrides:
  `readShort` in class `DataInput`
Throws:
  `IOException`

#### readInt

    public int readInt()
                throws IOException

Overrides:
  `readInt` in class `DataInput`
Throws:
  `IOException`

#### readLong

    public long readLong()
                  throws IOException

Overrides:
  `readLong` in class `DataInput`
Throws:
  `IOException`

#### readString

    public String readString()
                      throws IOException

Overrides:
  `readString` in class `DataInput`
Throws:
  `IOException`

#### readVInt

    public int readVInt()
                 throws IOException

Overrides:
  `readVInt` in class `DataInput`
Throws:
  `IOException`

#### readVLong

    public long readVLong()
                   throws IOException

Overrides:
  `readVLong` in class `DataInput`
Throws:
  `IOException`

#### readZInt

    public int readZInt()
                 throws IOException

Overrides:
  `readZInt` in class `DataInput`
Throws:
  `IOException`

#### readZLong

    public long readZLong()
                   throws IOException

Overrides:
  `readZLong` in class `DataInput`
Throws:
  `IOException`

#### skipBytes

    public void skipBytes(long numBytes)
                   throws IOException

Overrides:
  `skipBytes` in class `DataInput`
Throws:
  `IOException`

#### readMapOfStrings

    public Map<String,String> readMapOfStrings()
                                        throws IOException

Overrides:
  `readMapOfStrings` in class `DataInput`
Throws:
  `IOException`

#### readSetOfStrings

    public Set<String> readSetOfStrings()
                                 throws IOException

Overrides:
  `readSetOfStrings` in class `DataInput`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `IndexInput`